package com.ylx.massage.enums;

/**
 * @author 优惠类型，1:兑换券, 2:折扣券, 3:满减券
 * @date 2024-05-15 10:33
 */
public enum DiscountTypeEnum {

    VOUCHER(1, "兑换券"),
    DISCOUNT(2, "折扣券"),
    FULL_DISCOUNT(3, "满减券");

    private final Integer code;
    private final String info;

    DiscountTypeEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
